summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thibaut Notteboom2013-01-03 17:59:13 +0100
committer dsomero2013-01-10 00:52:20 +0100
commitabd4c3b69f3b16dbc2a0d7282b0ae2019e9c5c0c (patch)
tree6e97e8ab9a0a3d1c505bdd950572c9fd24206202
parent7e272c48ffb883f91c2177a47a882f696165efe8 (diff)
downloadslackbuilds-abd4c3b69f3b16dbc2a0d7282b0ae2019e9c5c0c.tar.gz
libraries/xmltooling: Added (OpenSAML XML processing library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--libraries/xmltooling/README5
-rw-r--r--libraries/xmltooling/slack-desc19
-rw-r--r--libraries/xmltooling/xmltooling.SlackBuild89
-rw-r--r--libraries/xmltooling/xmltooling.info10
4 files changed, 123 insertions, 0 deletions
diff --git a/libraries/xmltooling/README b/libraries/xmltooling/README
new file mode 100644
index 0000000000..859377de76
--- /dev/null
+++ b/libraries/xmltooling/README
@@ -0,0 +1,5 @@
+The XMLTooling library contains generic XML parsing and processing
+classes based on the Xerces-C DOM.
+It adds more powerful facilities for declaring element- and
+type-specific API and implementation classes to add value around
+the DOM, as well as signing and encryption support.
diff --git a/libraries/xmltooling/slack-desc b/libraries/xmltooling/slack-desc
new file mode 100644
index 0000000000..756c2dd295
--- /dev/null
+++ b/libraries/xmltooling/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xmltooling: xmltooling (OpenSAML XML processing library)
+xmltooling:
+xmltooling: The XMLTooling library contains generic XML parsing and processing
+xmltooling: classes based on the Xerces-C DOM.
+xmltooling: It adds more powerful facilities for declaring element- and
+xmltooling: type-specific API and implementation classes to add value around
+xmltooling: the DOM, as well as signing and encryption support.
+xmltooling:
+xmltooling: homepage:
+xmltooling: https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
+xmltooling:
diff --git a/libraries/xmltooling/xmltooling.SlackBuild b/libraries/xmltooling/xmltooling.SlackBuild
new file mode 100644
index 0000000000..d4e772bc72
--- /dev/null
+++ b/libraries/xmltooling/xmltooling.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for XMLTooling
+
+# Copyright 2012 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xmltooling
+VERSION=${VERSION:-1.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/usr/share/doc $PKG/usr/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/xmltooling/xmltooling.info b/libraries/xmltooling/xmltooling.info
new file mode 100644
index 0000000000..c30f15a841
--- /dev/null
+++ b/libraries/xmltooling/xmltooling.info
@@ -0,0 +1,10 @@
+PRGNAM="xmltooling"
+VERSION="1.5.2"
+HOMEPAGE="https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C"
+DOWNLOAD="http://shibboleth.net/downloads/c++-opensaml/2.5.1/xmltooling-1.5.2.tar.gz"
+MD5SUM="3d7c2e0434375cf72edd10c6afa18e86"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="log4shib xml-security-c"
+MAINTAINER="Thibaut Notteboom"
+EMAIL="tib@tibux.org"